doctype html
html(lang="en")
  head
    meta(charset="utf-8")
    meta(http-equiv="X-UA-Compatible" content="IE=edge")
    meta(name="viewport" content="width=device-width, initial-scale=1")
    meta(name="description" content="Simple book management system.")

    title #{title} - Pukapuka

    link#favicon(rel="icon" href="/favicon.ico" type="image/x-icon")
    link(
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Gentium+Book+Basic|Open+Sans"
    )
    link(
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
      integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0="
      crossorigin="anonymous"
    )
    link(rel="stylesheet" href="/s/css/main.css")
    style [v-cloak] { display: none; }

  body

    nav.bg-blue-dark.p-4.text-white.flex.justify-between.items-center.text-xl.mb-8
      div.flex.items-center
        div.logo.text-3xl Pukapuka
        div.ml-4
          a(href="/" class=(active === 'index' ? 'text-yellow-light' : '')) Home
        div.ml-4
          a(href="/books" class=(active === 'books' ? 'text-yellow-light' : '')) Books
      div.flex.items-center
        if user
          div.ml-4
            a(href="/admin/" class=(active === 'admin' ? 'text-yellow-light' : '')) Admin
          div.ml-4
            a(href="/admin/book/" class=(active === 'admin_book' ? 'text-yellow-light' : '')) Books
          div.ml-4
            a(href="/admin/location/" class=(active === 'admin_location' ? 'text-yellow-light' : '')) Locations
        else
          div.ml-4
            a(href="/sign-in") Sign In
        if user
          div.ml-4
            a(href="/sign-out" title="Sign Out")
              span.fa.fa-sign-out

    .container.mx-auto

      main
        block content

    footer.mt-8.p-6.bg-black.text-white.flex.justify-between
      div
        | ©
        |
        a(href="https://nebulous.design/") Nebulous Design
        |  2018
      div
        | Powered by
        |
        a(href="https://gitlab.com/nebulous.design/pukapuka/")
          | Pukapuka
          |
          |
          span.fa.fa-github

    block scripts
